Subject: Bug#688: [X2Go-Dev] Bug#688: x2go goes to an infinite loop when using el7 and domain login

From: Cristian Falcas <[email-masked]>
Date: Fri, 9 Jan 2015 01:09:21 +0200

Hi Mike,

This is not related to CINNAMON . It's a login name issue. I've
already tested with multiple desktops and the problem is the same.

In a previous email you asked for some tests from my part, but I
forgot completely. I'm sorry about that. I will respond to them in the
next days.

Best regards,
Cristian Falcas

On Fri, Jan 9, 2015 at 12:50 AM, Mike Gabriel
<[email-masked]> wrote:
> Control: tag -1 moreinfo
>
> Hi Christian
>
> On  Mi 03 Dez 2014 14:05:36 CET, Cristian Falcas wrote:
>
>> Package: x2goserver
>>
>> Version: 4.0.1.18-3.el7.x86_64
>>
>>
>> x2go is installed in OracleLinux 7 from epel rpms.
>>
>> When trying to connect with a domain account (login uses sssd for
>> authentication) x2gostartagent enters in an infinite loop.
>>
>> ps fax output for 2 tries:
>>
>> 28042 ?        Ss     0:00 sh -c echo
>> X2GODATABEGIN:97f2b66d-fc40-4bca-b62c-b607ba312cc3;
>> PATH=/usr/local/bin:/usr/bin:/bin x2gostartagent 1024x
>> 768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both; echo
>> X2GODATAEND:97f2b66d-fc40-4bca-b62c-b607ba312cc3
>> 28071 ?        S      0:10  \_ /bin/bash /usr/bin/x2gostartagent
>> 1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
>> 24430 ?        S      0:00      \_ /bin/bash /usr/bin/x2gostartagent
>> 1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
>> 24431 ?        R      0:00          \_ /usr/bin/perl
>> /usr/lib64/x2go/x2gogetports v-is-puppet-02.synygy.net
>>
>>
>>  6226 ?        Ss     0:00 sh -c echo
>> X2GODATABEGIN:e04690c6-3a9d-4963-9a1e-fc5f14b117bf;
>> PATH=/usr/local/bin:/usr/bin:/bin x2gostartagent 1024x
>> 768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both; echo
>> X2GODATAEND:e04690c6-3a9d-4963-9a1e-fc5f14b117bf
>>  6257 ?        S      0:02  \_ /bin/bash /usr/bin/x2gostartagent
>> 1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
>> 24434 ?        R      0:00      \_ /usr/bin/perl
>> /usr/lib64/x2go/x2gogetdisplays v-is-puppet-02.synygy.net
>>
>>
>> Output from "timeout 1 strace -f -p 28071" is at
>> http://pastebin.com/d7XvS7Kt
>>
>> Thank you,
>> Cristian Falcas
>
>
> The recent versions of the CINNAMON desktop are not support in X2Go (resp.
> the underlying NX).
>
> Please re-test with LXDE, XFCE, MATE or KDE and report back if you observe
> the same issue.
>
> Thanks,
> Mike
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: [email-masked], http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb